Bug 733378 - [RFE] suspend and continue of ec2 jobs
Summary: [RFE] suspend and continue of ec2 jobs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: 2.0
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: grid-maint-list
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On: 635012
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 15:19 UTC by Timothy St. Clair
Modified: 2016-05-26 20:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-26 20:23:04 UTC


Attachments (Terms of Use)

Description Timothy St. Clair 2011-08-25 15:19:18 UTC
Add support to suspend and continue ec2 jobs.

Comment 1 Timothy St. Clair 2011-09-13 16:47:33 UTC
Notes: This will only work if the image + backend storage support suspension.

Comment 2 Timothy St. Clair 2011-09-15 16:36:11 UTC
As is stands now, this was added for completeness as it relates to https://bugzilla.redhat.com/show_bug.cgi?id=635012, but there are no real benefits to doing this as it has limited usefulness.  EC2 instances spin up and down quite fast, and persistent data can be stored in EBS-Volumes.  As a result, I'm closing this one, feel free to reopen is a use case arises.

Comment 4 Timothy St. Clair 2011-09-15 17:02:41 UTC
For reference, you can only stop EBS backed AMI's which means suspend would faile for S3 backed AMI's. 

http://docs.amazonwebservices.com/AWSEC2/latest/APIReference/index.html?ApiReference-query-StopInstances.html

Comment 13 Anne-Louise Tangring 2016-05-26 20:23:04 UTC
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.


Note You need to log in before you can comment on or make changes to this bug.